Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart
Class HashUtilities

    java.lang.Object
      org.jfree.chart.HashUtilities

    public class HashUtilities

extends java.lang.Object

Some utility methods for calculating hash codes.

Since:
  1.0.3

Constructor Summary
`HashUtilities()`

Method Summary
`static int` | `hashCodeForDoubleArray(double[] a)` Returns a hash code for a `double[]` instance.
`static int` | `hashCodeForPaint(java.awt.Paint p)` Returns a hash code for a `Paint` instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HashUtilities

    public HashUtilities()

Method Detail

### hashCodeForPaint

    public static int hashCodeForPaint(java.awt.Paint p)

  Returns a hash code for a `Paint` instance. If `p` is `null`, this method returns zero.

  Parameters:
    `p` - the paint (`null` permitted).
  Returns:
    The hash code.

### hashCodeForDoubleArray

    public static int hashCodeForDoubleArray(double[] a)

  Returns a hash code for a `double[]` instance. If the array is `null`, this method returns zero.

  Parameters:
    `a` - the array (`null` permitted).
  Returns:
    The hash code.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD